Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.backend
Class MultiCastSender

    java.lang.Object
      org.apache.catalina.ha.backend.MultiCastSender

All Implemented Interfaces:
  Sender

    public class MultiCastSender

extends Object
implements Sender

Constructor Summary
`MultiCastSender()`

Method Summary
`void` | `init(HeartbeatListener config)` Set the configuration parameters
`int` | `send(String mess)` Send the message to the proxies

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiCastSender

    public MultiCastSender()

Method Detail

### init

    public void init(HeartbeatListener config)
              throws Exception

  Description copied from interface: `Sender`
  Set the configuration parameters

  Specified by:
    `init` in interface `Sender`
  Throws:
    `Exception`

### send

    public int send(String mess)
             throws Exception

  Description copied from interface: `Sender`
  Send the message to the proxies

  Specified by:
    `send` in interface `Sender`
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.